<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Vms\Forms;

use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Vms\Providers\DeleteVmProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Vms\Providers\DiskProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Vms\Providers\FirewallOptionProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Vms\Providers\ImportVmProvider;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\BaseForm;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Hidden;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Select;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\Fields\Text;


class ImportForm extends BaseForm implements AdminArea
{
    public function initContent()
    {
        $this->initIds('importForm');
        $this->setFormType('import');
        $this->setProvider(new ImportVmProvider());
        $this->initFields();
        $this->loadDataToForm();;
    }

    public function getAllowedActions()
    {
        return ['import'];
    }

    private function initFields()
    {
        //vmid
        $field = new Select("vmid");
        $field->notEmpty();
        $this->addField($field);
        //password
        $field = new Text("password");
        $this->addField($field );
    }

}